<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--

IGAC proyecto SNC

@author			javier.aponte
@version 		1.0
@description  	Página donde se muestra las inconsistencias asociadas a un predio
@cu 			CC-NP-CO-019 Detalle predio consultar interrelación e inconsistencias
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        id="viewPredioInconsistenciasForm">

    <p:spacer width="20" height="15" />
    <center>
        <p:dataTable id="predioInconsistenciasDT"
                     widgetVar="predioInconsistenciasDTWV"
                     value="#{consultaDatosUbicacionPredio.predioInconsistencias}"
                     var="predioInconsistencia" rowKey="#{predioInconsistencia.id}"
                     paginator="true" rows="10" resizableColumns="true"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                     {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                     emptyMessage="No se encontraron inconsistencias del predio">

            <f:facet name="header">
                <h:outputText value="Datos de interrelación y las inconsistencias" />
            </f:facet>

            <p:column headerText="Código"
                      filterBy="#{predioInconsistencia.tipo}"
                      sortBy="#{predioInconsistencia.tipo}">
                <h:outputText value="#{predioInconsistencia.tipo}" />
            </p:column>

            <p:column headerText="Descripción de inconsistencia" >
                <h:outputText id="PredioInconsistenciaTipo"
                              value="#{predioInconsistencia.tipo}">
                    <f:converter converterId="converterCB"
                                 for="PredioInconsistenciaTipo" />
                </h:outputText>
            </p:column>

        </p:dataTable>
    </center>

</h:form>
